Bug 586722 - preupgrade fails to upgrade from F12 to F13
preupgrade fails to upgrade from F12 to F13
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 05:09 EDT by cschwangler
Modified: 2010-12-03 10:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log files (62.39 KB, application/x-gzip)
2010-04-28 05:09 EDT, cschwangler
no flags Details

  None (edit)
Description cschwangler 2010-04-28 05:09:18 EDT
Created attachment 409737 [details]
Log files

Description of problem:
This is the first test case of the upcoming Preupgrade test day. Preupgrade does not upgrade from F12 to F13. It downloads the necessary packages, requests a reboot and then reboots into F12 without further action.

Version-Release number of selected component (if applicable):
preupgrade-1.1.5-1.fc12 installed from F12 updates testing repository

How reproducible:
Did not anything special, just the steps outlined in the test case, so I guess it reproduces.

Steps to Reproduce:
1. Install F12 with default partitioning (200MB /boot, rest is LVM)
2. Install Preupgrade: yum --enablerepo=u*g install preupgrade 
3. Run preupgrade
  
Actual results:
After downloading necessary packages, preupgrade requests a reboot and then reboots into F12 without further action.

Expected results:
After downloading necessary packages, preupgrade requests a reboot and actually performs an upgrade to F13.

Additional info:
I have attached all log files I could find on the system to aid diagnosing the problem. The log files are compressed into one archive (sorry for that).
Comment 1 cschwangler 2010-04-28 05:16:20 EDT
There is one additional piece of information I have found. I booted again and this time I got into grub boot menu. I did not find the special upgrade kernel which preupgrade is supposed to use in order to upgrade the system. There is just the stock kernel 2.6.31.5 that came with the fresh F12 installation.
Comment 2 cschwangler 2010-04-28 05:52:01 EDT
OK, I found that this is a common problem in F13 and is due to the 200MB /boot size (https://fedoraproject.org/wiki/Common_F13_bugs#Preupgrade_doesn.27t_work_with_default-sized_.2Fboot_partition). I installed F12 again without both /boot and LVM and this time, preupgrade booted in the special kernel and did the upgrade to F13.
However, someone should change the test case, since its already known that it can't successfully finish. I suggest you close this bug report.
Comment 3 David Timms 2010-06-16 10:09:45 EDT
Sorry, reopened to make the suggestion that during the preupgrade run on the existing system, preupgrade should confirm that there is both enough disk space for the preupgrade bits, as well as the bits that anaconda will install kernel. 

There might already be a bug for that, but I did not find it.
Comment 4 David Timms 2010-06-16 10:12:28 EDT
(In reply to comment #2)
> OK, I found that this is a common problem in F13 and is due to the 200MB /boot
> size
What was your original /boot size and available space ?

> I installed F12 again without both /boot and LVM and this time,
Did you mean "with" ?

How big is /boot with this successful test ?
Comment 5 Bug Zapper 2010-11-03 12:08:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 10:21:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.